#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityLieYuCFGData
{
	//编号
	int mID;
	//名字
	std::string mName;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	int mCompleteParam;
	//完成计数
	int mCompleteCount;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//前往类型
	int mGoType;
};

class M_ActivityLieYuCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLieYuCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLieYuCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityLieYuCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityLieYuCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityLieYuCFGData> mMapData;
};
